GSAMBAD 不安全临时文件创建漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1189997 漏洞类型 竞争条件
发布时间 2007-07-01 更新时间 2007-07-02
CVE编号 CVE-2007-2838 CNNVD-ID CNNVD-200707-002
漏洞平台 N/A CVSS评分 7.2
|漏洞来源
https://www.securityfocus.com/bid/24717
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200707-002
|漏洞详情
GSAMBAD0.1.4版本的src/populate_conns.c中的populate_conns函数允许本地用户对/tmp/gsambadtmp临时文件的一个symlink攻击,重写任意文件。
|受影响的产品
GSAMBAD GSAMBAD 0.1.6 GSAMBAD GSAMBAD 0.1.5 GSAMBAD GSAMBAD 0.1.4 + Debian Linux 4.0 sparc + Debian Linux 4.0 s/390
|参考资料

来源:DEBIAN
名称:DSA-1327
链接:http://www.debian.org/security/2007/dsa-1327
来源:SECUNIA
名称:25914
链接:http://secunia.com/advisories/25914
来源:BID
名称:24717
链接:http://www.securityfocus.com/bid/24717
来源:SECUNIA
名称:25909
链接:http://secunia.com/advisories/25909
来源:XF
名称:gsambad-populateconns-symlink(35401)
链接:http://xforce.iss.net/xforce/xfdb/35401